#ifndef EXAMPLEWINDOW_H
#define EXAMPLEWINDOW_H

#include <gtkmm.h>
#include <string>
#include <codecvt>
#include <locale>

class ExampleWindow : public Gtk::Window
{
    public:
        ExampleWindow();
        virtual ~ExampleWindow();

    protected:

        void bufferOne();
        void bufferTwo();
        std::string en_to_per_num(std::string);

        // Signal handlers:
        void on_button_buffer1();

        // Child widgets:
        Gtk::HBox m_hBoxOne;
        Gtk::HBox m_hBoxTwo;

        Gtk::VBox m_vBoxOne;
        Gtk::VBox m_vBoxTwo;

        Gtk::ScrolledWindow m_scrolledWindow;
        Gtk::TextView m_textView;

        Glib::RefPtr<Gtk::TextBuffer> m_refTextBufferOne;
        Glib::RefPtr<Gtk::EntryBuffer> m_refEntryBufferOne;

        Gtk::Button m_button_buffer1;

        Gtk::Label m_label;
        Gtk::Label m_labelTwo;
        Gtk::Label m_labelThree;
        Gtk::Entry m_entry;

    private:
        void style();

        std::string strStyle;
        std::string str_utf8_one;
        std::string str_utf8_two;
        std::u16string str_utf16_one;
        std::u16string str_utf16_two;
        std::wstring_convert< std::codecvt_utf8_utf16< char16_t >, char16_t > convert;
        long full_character;
        long custom_character;
};

#endif // EXAMPLEWINDOW_H
